import { useCallback, useEffect, useState } from 'react';
export const useWindowSize = () => {
    const [size, setSize] = useState([0, 0]);
    const updateSize = useCallback(() => {
        setSize([window.innerWidth, window.innerHeight]);
    }, [setSize]);
    useEffect(() => {
        window.addEventListener('resize', updateSize);
        updateSize();
        return () => window.removeEventListener('resize', updateSize);
    }, [updateSize]);
    return size;
};
